<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number88</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.88:</b> Write a JavaScript program to check whether two given integers are similar or not, if a given divisor divides both integers and it does not divide either. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
		<input type="number" id="num1" placeholder="Number1" style=" margin-top: 5px;"><br>
		<input type="number" id="num2" placeholder="Number2" style=" margin-top: 5px;"><br>
		<input type="number" id="num3" placeholder="Divisor" style=" margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate() {
		  var num1 = + document.getElementById('num1').value;
		  var num2 = + document.getElementById('num2').value;
		  var divs = + document.getElementById('num3').value;
		  if (num1 !== num2) {
			  if ( num1%divs == 0 && num2%divs == 0) {
				  document.getElementById('demo').innerHTML=
					  Boolean(1);
			  } else {
				  document.getElementById('demo').innerHTML=
					  Boolean(0);
			  }
		  } else {
			  document.getElementById('demo').innerHTML=
				  "Numbers Are The Same";
		  }
	  }
	</script>
</body>
</html>
